<template>
  <div class="bg-el-color" style="position: relative;height: 100%;width: 100%;">
	<IncineratorMap ref="incineratorMap"/>
  </div>
</template>

<script setup>
import IncineratorMap from "@/components/Map/IncineratorMap/map";
import { duToGpsDM } from "@/utils/gpsToDu";
import { getCurrencyConfigByMid } from "@/utils/index";

const { proxy } = getCurrentInstance();
const emit = defineEmits();
const props = defineProps({
	data: {
		type: String,
		default: ""
	}
});
const { data } = toRefs(props);

const showShipInfo = ref(true);
const curAnalog = computed(
  () =>
    proxy.$store.state.data.analogList.find(
      (item) => item.sn == proxy.$store.state.data.curAnalogSn
    ) || {}
);
const hanldeMoveToCurAnalog = () => {
  // console.log(proxy.$refs["incineratorMap"].$refs["mapMap"])
	proxy.$refs["incineratorMap"].$refs["incinerMap"].moveToShipBySn(
		proxy.$store.state.data.curAnalogSn
	);
};
const handleAnalogCilck = (analog) => {
	proxy.$store.state.data.curAnalogSn = analog.sn;
	proxy.$refs["incineratorMap"].$refs["incinerMap"].moveToShipBySn(analog.sn);
};
</script>